Add settlement account
curl --request POST \
--url https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"network": "base",
"address": "0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921",
"label": "Settlement"
}
'import requests
url = "https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts"
payload = {
"network": "base",
"address": "0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921",
"label": "Settlement"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: 'base',
address: '0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921',
label: 'Settlement'
})
};
fetch('https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network' => 'base',
'address' => '0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921',
'label' => 'Settlement'
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts"
payload := strings.NewReader("{\n \"network\": \"base\",\n \"address\": \"0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921\",\n \"label\": \"Settlement\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"network\": \"base\",\n \"address\": \"0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921\",\n \"label\": \"Settlement\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network\": \"base\",\n \"address\": \"0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921\",\n \"label\": \"Settlement\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "acct_4Kd9",
"network": "base",
"chain_id": 8453,
"address": "0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921",
"label": "Settlement",
"created_at": "2026-10-18T22:07:41Z",
"updated_at": "2026-10-18T22:07:41Z"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}Settlement
Add Settlement Account
Register the address a network settles to.
POST
/
v1
/
merchants
/
{merchantId}
/
settlement-accounts
Add settlement account
curl --request POST \
--url https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"network": "base",
"address": "0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921",
"label": "Settlement"
}
'import requests
url = "https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts"
payload = {
"network": "base",
"address": "0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921",
"label": "Settlement"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: 'base',
address: '0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921',
label: 'Settlement'
})
};
fetch('https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network' => 'base',
'address' => '0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921',
'label' => 'Settlement'
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts"
payload := strings.NewReader("{\n \"network\": \"base\",\n \"address\": \"0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921\",\n \"label\": \"Settlement\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"network\": \"base\",\n \"address\": \"0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921\",\n \"label\": \"Settlement\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reclack.com/v1/merchants/{merchantId}/settlement-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network\": \"base\",\n \"address\": \"0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921\",\n \"label\": \"Settlement\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "acct_4Kd9",
"network": "base",
"chain_id": 8453,
"address": "0x71B9a0C4f3b1d8e2A5c7E9f0B4d6A8c2E1f34921",
"label": "Settlement",
"created_at": "2026-10-18T22:07:41Z",
"updated_at": "2026-10-18T22:07:41Z"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}Overview
Register the address payments on a network settle to. Check it character by character: funds sent to an address you do not control cannot be recovered by Reclack or by the network.Authorizations
Your Reclack API key. The prefix decides the environment: rk_sandbox_ for test chains, rk_live_ for production.
Path Parameters
Your workspace id.
Body
application/json
Response
Created
Show child attributes
Show child attributes

